
QGIS Application - Bug report #19323

Qgis 3.0/3.2 crash when editing point geopackage layer.

2018-07-03 04:46 PM - Patrick Dunford

Status: Closed

Priority: High

Assignee:

Category: Map Canvas

Affected QGIS version:3.0.3 Regression?: No

Operating System: Debian 9 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 27151

Description

When editing point layer and moving point using the Node tool the software crashes.

Sample data coming.

History

#1 - 2018-07-03 04:53 PM - Patrick Dunford

- File bug19323.bz2 added

Open the sample project

There is only one layer "osFeatures" 

put this layer in edit mode and select node tool

try dragging the big blue circle you can see to somewhere

The move feature tool doesn't cause a crash

#2 - 2018-07-20 08:05 AM - Nyall Dawson

- Status changed from Open to Feedback

The attached project is corrupt and missing the data - can you re-attach?

#3 - 2018-07-21 06:43 AM - Patrick Dunford

- File 19323.tar.bz2 added

#4 - 2018-07-21 10:41 AM - Giovanni Manghi

- Status changed from Feedback to Open

- Priority changed from Normal to High

#5 - 2018-11-08 01:31 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

2024-03-20 1/2



#6 - 2019-02-11 04:20 AM - Nyall Dawson

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Files

bug19323.bz2 32 KB 2018-07-03 Patrick Dunford

19323.tar.bz2 22.8 KB 2018-07-21 Patrick Dunford
